"use strict"; 

this.name           = "liners_trident";
this.author         = "Thargoid";
this.copyright      = "May 2009";
this.description    = "Ship script for the trident missile";
this.version        = "1.6.2";

this.spawnTines = function() 
	{ 
	var loopCounter = 0 ; // reset the counter
	for(loopCounter = 0; loopCounter < 9; loopCounter++)
		{
		var Tine = this.ship.spawnOne("liners_tridentTine");
		this.xDistance = ((Math.random() * 40) - 20);
		this.yDistance = ((Math.random() * 40) - 20);
		Tine.position = this.ship.position.add([this.xDistance, this.yDistance, 0]);
		Tine.orientation = this.ship.orientation; 
		if(this.ship.target)
			{
			Tine.target = this.ship.target;
			}
		}
	} 

